Skip to main content
POST
/
v2
/
subscriptions
Create a new subscription
curl --request POST \
  --url https://api.bondio.co/v2/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "planParams": {
    "planId": "<string>",
    "activationAt": 123
  },
  "esim": "<string>",
  "metadata": "<string>"
}
'
{
  "id": "<string>",
  "esim": {
    "iccid": "891004234814455936F",
    "activationCode": "LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH",
    "msisdn": "449898978234",
    "label": "alpha"
  },
  "createdAt": 123,
  "metadata": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

expand
string

can be used to fetch full esim object with expand=esim

Body

application/json

Exactly one of the planId or plan should be provided

planParams
object
required
esim
string

ICCID of the preferred esim which is unused

metadata
string

Any string metadata you want to provide

Response

200 - application/json

OK

id
string
required
esim
required
Example:
{
"iccid": "891004234814455936F",
"activationCode": "LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH",
"msisdn": "449898978234",
"label": "alpha"
}
createdAt
integer
required
metadata
string | null
required